/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.mo.components.se.flowable;

import java.util.Arrays;
import java.util.List;

import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringObject;
import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringSubFunction;
import org.ow2.petals.cli.extension.command.monitoring.mo.components.framework.AbstractMonitoredComponent;

/**
 * The monitoring object associated to the Petals SE Flowable
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class SeFlowable extends AbstractMonitoredComponent implements MonitoringObject {

    private static final String NAME = "petals-se-flowable";

    private static final String DESCRIPTION = "Component SE Flowable";

    private static final MonitoringSubFunction[] SUBFUNCTIONS = new MonitoringSubFunction[] {
            // Dedicated sub-functions
            new AsyncExecutorThreadPool(), new ProcessDefinitionsCount(), new DatabaseConnectionPool() };

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getDescription() {
        return DESCRIPTION;
    }

    @Override
    public List<MonitoringSubFunction> getDedicatedSubFunctions() {
        return Arrays.asList(SUBFUNCTIONS);
    }

}
