/**
 * Copyright (c) 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.mo.components.se.flowable;

import static org.ow2.petals.jmx.api.mock.monitoring.component.se.flowable.SeFlowableMonitoringServiceClientMock.ASYNC_EXECUTOR_THREAD_POOL_ACTIVE_THREAD_CURRENT;
import static org.ow2.petals.jmx.api.mock.monitoring.component.se.flowable.SeFlowableMonitoringServiceClientMock.ASYNC_EXECUTOR_THREAD_POOL_ACTIVE_THREAD_MAX;
import static org.ow2.petals.jmx.api.mock.monitoring.component.se.flowable.SeFlowableMonitoringServiceClientMock.ASYNC_EXECUTOR_THREAD_POOL_ENQUEUED_REQUEST_CURRENT;
import static org.ow2.petals.jmx.api.mock.monitoring.component.se.flowable.SeFlowableMonitoringServiceClientMock.ASYNC_EXECUTOR_THREAD_POOL_ENQUEUED_REQUEST_MAX;
import static org.ow2.petals.jmx.api.mock.monitoring.component.se.flowable.SeFlowableMonitoringServiceClientMock.ASYNC_EXECUTOR_THREAD_POOL_IDLE_THREAD_CURRENT;
import static org.ow2.petals.jmx.api.mock.monitoring.component.se.flowable.SeFlowableMonitoringServiceClientMock.ASYNC_EXECUTOR_THREAD_POOL_IDLE_THREAD_MAX;
import static org.ow2.petals.jmx.api.mock.monitoring.component.se.flowable.SeFlowableMonitoringServiceClientMock.ASYNC_EXECUTOR_THREAD_POOL_MAX_SIZE;
import static org.ow2.petals.jmx.api.mock.monitoring.component.se.flowable.SeFlowableMonitoringServiceClientMock.ASYNC_EXECUTOR_THREAD_POOL_MIN_SIZE;

import org.junit.Before;
import org.ow2.petals.cli.extension.command.monitoring.mo.components.AbstractMonitoringSubFunctionTest;

/**
 * Abstract testcase for BC SOAP unit tests of command 'monitoring' for Cacti
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public abstract class AbstractTestCase extends AbstractMonitoringSubFunctionTest {

    /**
     * Clear all datasets used during unit tests
     * 
     * @throws Exception
     */
    @Before
    public void clearDataSets() throws Exception {
        ASYNC_EXECUTOR_THREAD_POOL_ACTIVE_THREAD_MAX = null;
        ASYNC_EXECUTOR_THREAD_POOL_ACTIVE_THREAD_CURRENT = null;
        ASYNC_EXECUTOR_THREAD_POOL_IDLE_THREAD_MAX = null;
        ASYNC_EXECUTOR_THREAD_POOL_IDLE_THREAD_CURRENT = null;
        ASYNC_EXECUTOR_THREAD_POOL_MAX_SIZE = null;
        ASYNC_EXECUTOR_THREAD_POOL_MIN_SIZE = null;
        ASYNC_EXECUTOR_THREAD_POOL_ENQUEUED_REQUEST_CURRENT = null;
        ASYNC_EXECUTOR_THREAD_POOL_ENQUEUED_REQUEST_MAX = null;
    }
}
