/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.mo.container.transporter.remote;

import static org.ow2.petals.cli.extension.command.monitoring.mo.Assert.assertMonitoringSubFunctions;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringSubFunction;

/**
 * Unit tests about {@link TcpTransporter}
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class TcpTransporterTest {

    private final static List<Class<? extends MonitoringSubFunction>> EXPECTED_SUB_FUNCTIONS;

    static {
        EXPECTED_SUB_FUNCTIONS = new ArrayList<>();
        EXPECTED_SUB_FUNCTIONS.add(DeliveredOutgoingMessages.class);
        EXPECTED_SUB_FUNCTIONS.add(DeliveredIncomingMessages.class);
        EXPECTED_SUB_FUNCTIONS.add(IncomingConnections.class);
        EXPECTED_SUB_FUNCTIONS.add(OutgoingConnections.class);
    }

    /**
     * Check the expected sub-functions
     */
    @Test
    public void embeddedSubFunctions() {

        assertMonitoringSubFunctions(new TcpTransporter(), EXPECTED_SUB_FUNCTIONS);
    }

}
